Push Notification Payload
Whenever you request that a transaction be put into the background, there needs to be a mechanism for notifying you that the request has been completed. This notification will push you the high-level details of the result, and you can then query the results at your leisure.
The same notification process will also be used to push alerts to your system. This means that RequestIDs may not match your records
Path Parameters
This will be the same RequestId that was sent in the 202 acceptance response.
Body
The following fields represent the data you need in order to retrieve the results of the requested function. See the details of the notification API for more.
If you're calling a processing function of some kind, a check number will be issued. This field will only be present if the function you're calling would normally return a checkId (such as scan, verify, and compare).
Only supplied if the original request was tied to a document. This will be the same ID that was sent in the original acceptance.
If the entity in entityId above has had an external service ID attached to it in the entity extraData with kvpKey = customer_reference, then this is that kvpValue
"AU0123456"
Only supplied if the original request was tied to an entity. This will be the same ID that was sent in the original acceptance.
Additional fields that contain the detailed data that was used to generate the 'message' field. The actual content will depend on the 'notificationType' and 'function'.
Short description of the original function called, or function that was triggered.
"entity.create"
High level indication of the final disposition of a backgrounded function
- "COMPLETED": the request completed (not that the final result is a success, just that we completed)
- "FAILED": the request failed.
- "INCOMPLETE": could not complete the request.
COMPLETED, FAILED, INCOMPLETE "COMPLETED"
URI for resource containing more details about the reason for the notification.
"https://portal.frankiefinancial.io/entity/3fa85f64-5717-4562-b3fc-2c963f66afa6"
A brief, human readable message describing the reason for the notification.
"Entity successfully created"
Indicates the type of notification being pushed.
- "FUNCTION": A request that you previously backgrounded has completed and this is the notification that is it complete (success is another matter)
- "RESULT": Like the FUNCTION notification, this tells you that a previously backgrounded request has completed, and that there is a set of results in the payload pointer.
- "EVENT": There has been a stateful change in a document, entity or some other piece of data that we are holding/monitoring for you. This is an indication that you may wish to take some action.
- "ALERT": Like the EVENT, except that the severity of the notification indicates that action is almost certainly required.
FUNCTION, RESULT, EVENT, ALERT Unique identifier for every request. Can be used for tracking down answers with technical support.
Uses the ULID format (a time-based, sortable UUID)
Note: this will be different for every request.
"01BFJA617JMJXEW6G7TDDXNSHX"
The portal username that initiated the operation that led to this notification. If applicable and available.
Response
The Customer has accepted the notification and we don't need to retry sending it.